package com.sunyard.chsm.controller;

import com.sunyard.chsm.dto.KeyInfoDTO;
import com.sunyard.chsm.model.R;
import com.sunyard.chsm.service.KeyInfoService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * 对称密钥管理接口
 *
 * @author liulu
 * @since 2024/10/23
 */
@RestController
@RequestMapping("/sym/key")
public class SymKeyController {

    @Resource
    private KeyInfoService keyInfoService;


    /**
     * 创建密钥
     *
     * @param save 参数
     * @return id
     */
    @PostMapping
    public R<String> save(@Valid @RequestBody KeyInfoDTO.Save save) {
        Long id = keyInfoService.save(save);
        return R.data(String.valueOf(id));
    }


}
